#ifndef __SR_AMMO_SPRITE_
#define __SR_AMMO_SPRITE_

#include "SRIconSprite.h"

#define     kTakedownPoints     25

class SRIconSprite;

class SRAmmoSprite : public SRIconSprite
{
public:
    SRAmmoSprite( CIconHandle icon, SRIconSprite *parent );
    ~SRAmmoSprite();
    
    virtual void Think();
    virtual bool Hit( SRObject *other );
    virtual int Type();
    virtual bool WantsCollisions() { return true; }
    
    void ShipDied();

protected:
    void Die();

    int fParentType;
};

#endif // __SR_AMMO_SPRITE_