#ifndef __SR_BOOM_SPRITE_H__
#define __SR_BOOM_SPRITE_H__

#include "SRObject.h"
#include "SRObjectTypes.h"

#define kBoomID         128
#define kGrowthFactor   1.1
#define kSlowdown       1
#define kMinWidth       20
#define kMinHeight      20

class SRBoomSprite : public SRObject
{
public:
    SRBoomSprite( SRObject *creator );
    ~SRBoomSprite();
    
    virtual void Think();
    virtual void Draw();
    virtual bool Hit( SRObject *other ) { return false; }
    virtual int Type() { return kExplosionType; }

protected:
    static PicHandle    fBoomPicture;
    int                 fCurrentFrame;
    int                 fXSlowdownFactor;
    int                 fYSlowdownFactor;
};

#endif // __SR_BOOM_SPRITE_H__