#include "SRStar.h"
#include "WindowDefs.h"
#include "SRGameObject.h"

SRStar::SRStar( int x, int y, RGBColor starColor ) : fStarColor(starColor)
{
    setX(x%kGameWindowWidth);
    setY(y%kGameWindowHeight);
}

SRStar::~SRStar()
{
}
    
void SRStar::Draw()
{
    RGBForeColor(&fStarColor);
    
    if(fVelocityY != kMaxStarSpeed) PenSize( 2, 1 );
    else PenSize( 1, 1 );

    MoveTo(fX, fY);
    ::Line(0, 1);
}

void SRStar::Think()
{
    fX = fX % kGameWindowWidth;
    fY = fY % kGameWindowHeight;
}

